curl --request GET \
--url https://api.rigbox.dev/api/apps/{id}/logs \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"lines": [
{
"line_number": 1,
"message": "<string>",
"timestamp": "<string>"
}
],
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
},
"cursor": "<string>",
"total_lines": 1
}Fetch historical logs for an app with pagination support.
curl --request GET \
--url https://api.rigbox.dev/api/apps/{id}/logs \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"lines": [
{
"line_number": 1,
"message": "<string>",
"timestamp": "<string>"
}
],
"source": {
"app_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_primary": true,
"source_ref": "<string>",
"source_type": "systemd_unit",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>"
},
"cursor": "<string>",
"total_lines": 1
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
App ID